$fn = 50;
x = 65;
y = 44.2;
z = 25;
zm = z + 50;

flangewidth= 5; 
flangethickness = 1.6; 
ridgeheight = 1.7;
ridgewidth = 1.2;

delta = 0.5;

roundness = 3;
wall = 1;
bottom = 6;

switchradius = 6.5;
switchsize = 8;
socketradius = 3.8;

notchwidth = 4;
notchdistance = 13;
notchdepth = 3;

swshift = 11;
bxpos = 30;

totalheight = z + flangethickness + roundness;

difference () {
    translate( [0, -(y/2-roundness), 0]) {
        difference () {
            union () {
                minkowski() {
                    cube ([x-2*roundness,y-2*roundness,zm]);
                    sphere(roundness);
                }
                difference () {                
                    translate ([-roundness, -(flangewidth+roundness), totalheight-flangethickness-ridgeheight]) {
                        cube( [x,y+2*(flangewidth),flangethickness+ridgeheight]);
                    }
                    translate ([-roundness-delta, -(roundness+flangewidth-ridgewidth)+delta, totalheight-flangethickness-ridgeheight-delta]) {
                        cube( [x+2*(roundness+delta),y+2*(flangewidth-ridgewidth-delta),ridgeheight+delta]);
                    }
                }
            }
            translate ([wall, wall, bottom]) {
                minkowski() {
                    cube([x-2*(wall+roundness), y-2*(wall+roundness), zm]);
                    sphere(roundness/2);
                }
            }
            translate ([-10, -10, totalheight]) {
                cube ([100,100,100]);
            }
        }
    }
    translate ( [ bxpos-switchsize-delta, -y/2, -(roundness+delta)]) {
        cube ([2*(switchsize + delta), y/2 - swshift + switchsize + delta, bottom - wall]);
    }

    translate ([bxpos, +swshift, -2*(wall+roundness)]) { cylinder (h=3*bottom, r = switchradius, $fn=100);
        }
    translate ([bxpos, -swshift, -2*(wall+roundness)]) { cylinder (h=3*bottom, r = switchradius, $fn=100);
        }
    translate ([ x - 10, notchdistance, totalheight - notchdepth ] ) {
        cube([100,  notchwidth, notchdepth+delta]); }
    translate ([ x - 10, -(notchdistance + notchwidth), totalheight - notchdepth ] ) {
        cube([100,  notchwidth, notchdepth+delta]); }  
    translate([ -2*roundness, 0, 3 * socketradius]) {
        rotate([0, 90, 0]) {
            cylinder (h = 10, r = socketradius, $fn=100);
        }
    }
    translate ([wall, wall, 0]) { 
        minkowski() {
            cube( [x-2*(wall+roundness),y/2-2*wall-roundness,10]);
            sphere(roundness/2);
        }         
    }
}